from openerp import api, models
from num2words import num2words

class report_pagaregolden(models.AbstractModel):
    _name = 'report.informes_pagare_athletic.report_pagaregolden'

    @api.multi
    def render_html(self, data=None):
        report_obj = self.env['report']
        report = report_obj._get_report_from_name('informes_pagare_athletic.report_pagaregolden')
        docargs = {
            'doc_ids': self._ids,
            'doc_model': report.model,
            'docs': self.env[report.model].browse(self._ids),
            'convertir':self.convertir,
            'calcular_precio':self.calcular_precio,
        }
        return report_obj.render('informes_pagare_athletic.report_pagaregolden', docargs)

    def convertir(self,nro,moneda):
        letra = num2words(nro,lang="es")
        letra = letra.capitalize()
        if not moneda:
            moneda=''
        letra = letra +' '+moneda
        return letra

    def calcular_precio(self,precio):
        return (precio*1.1)
